[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash] Gnash configure script ignores command line arguments

From: Rob Savoye
Subject: Re: [Gnash] Gnash configure script ignores command line arguments
Date: Thu, 01 Nov 2007 14:21:34 -0400
User-agent: Thunderbird (X11/20070326)

Jorge Peixoto de Morais Neto wrote:

> I tested it against gnash-0.8.1 and against the latest CVS (as of
> Novermber 1st, around 17h34 GMT).

  Thanks for trying both.

> This message is wrong. --disable-kparts does not solve the problem.

  The issue is that we have two kinds of KDE support. One is kparts,
which is how Gnash can be a proper plugin for Konqueror. The other is
the KDE GUI, which exists in a different sub directory. It's possible
somebody would build a KDE GUI, but not use kparts, and use NSAPI with
Konqueror instead. As the default is to build both KDE and GTK support
by default, we should probably just print a warning if the KDE libs
aren't installed. That's how it was supposed to work.

> The message is correct, but could be more didactic, and maybe the script
> should simply choose gtk by default. 

  Which is the fix I was going to do for this bug report. I'm wondering
if we should just make GTK the default, as any package maintainers can
use --enable-gui to build both KDE and GTK. Most people run GNOME or
KDE, so while building both is easier for the packagers, they can always
specify --enable-gui=gtk,kde.

> Do you want me to file a bug report? Against 0.8.1 or cvs or both?

  Just cvs HEAD is fine. I'll fix it there, and it'll go in the next
release. For 0.8.1, this isn't a critical issue.

        - rob -

reply via email to

[Prev in Thread] Current Thread [Next in Thread]